﻿using C1.Web.Mvc.Serialization;
using C1.Web.Mvc.Sheet;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace FlexSheet.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View(SampleData.GetData(5));
        }
        
        public ActionResult RemoteLoadXlsx()
        {
            var path = Request.Params["filePath"].ToString();
            return this.C1Json(FlexSheetHelper.Load(Server.MapPath("~/"+path)), null, null, JsonRequestBehavior.AllowGet);
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";
            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}